Update user details
curl --request PUT \
--url https://{tenant}/admin/users/{userId} \
--header 'Admin-Auth: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"access_key": "c8251902f3f44dfa729e0267d0d62859",
"active": false,
"email_address": "itachisasuke@gmail.com",
"first_name": "itachi",
"id": "679a02465715ecdd507d7273",
"last_name": "sasuke",
"org_id": ""
}
'import requests
url = "https://{tenant}/admin/users/{userId}"
payload = {
"access_key": "c8251902f3f44dfa729e0267d0d62859",
"active": False,
"email_address": "itachisasuke@gmail.com",
"first_name": "itachi",
"id": "679a02465715ecdd507d7273",
"last_name": "sasuke",
"org_id": ""
}
headers = {
"Admin-Auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Admin-Auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
access_key: 'c8251902f3f44dfa729e0267d0d62859',
active: false,
email_address: 'itachisasuke@gmail.com',
first_name: 'itachi',
id: '679a02465715ecdd507d7273',
last_name: 'sasuke',
org_id: ''
})
};
fetch('https://{tenant}/admin/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "c8251902f3f44dfa729e0267d0d62859",
"Meta": {
"access_key": "c8251902f3f44dfa729e0267d0d62859",
"active": false,
"api_model": {},
"created_at": "2025-03-10T11:10:52.986309+03:00",
"email_address": "itachisasuke@gmail.com",
"first_name": "itachi",
"group_id": "",
"id": "363739613032343635373135656364643530376437323733",
"last_login_date": "0001-01-01T00:00:00Z",
"last_name": "sasuke",
"org_id": "",
"password_max_days": 0,
"password_updated": "0001-01-01T00:00:00Z",
"user_permissions": {
"IsAdmin": "admin",
"ResetPassword": "admin"
}
},
"Status": "OK"
}{
"Message": "Request body malformed",
"Meta": null,
"Status": "Error"
}{
"Message": "User not found",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read response body, body empty",
"Meta": null,
"Status": "Error"
}Users
Update user details
Update user details with the user ID
PUT
/
admin
/
users
/
{userId}
Update user details
Authorizations
Api key
Path Parameters
The Id of the user you want to update
Body
application/json
Was this page helpful?
⌘I